﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WcfServiceLibrary1
{
    // NOTE: If you change the class name "Service1" here, you must also update the reference to "Service1" in App.config.
    public class Service1 : IService1
    {
        public string GetData(int value)
        {
            return string.Format("You entered: {0}", value);
        }

        public CompositeType GetDataUsingDataContract(CompositeType composite)
        {
            if (composite.BoolValue)
            {
                composite.StringValue += "Suffix";
            }
            return composite;
        }

        public string MakeItBold(string RTF)
        {
            string data = String.Empty;

            // create a new ServerTextControl instance

            using (TXTextControl.ServerTextControl tx = new TXTextControl.ServerTextControl())
            {
                tx.Create();
                // load the RTF document
                tx.Load(RTF, TXTextControl.StringStreamType.RichTextFormat);

                // make it bold
                tx.SelectAll();
                tx.Selection.Bold = true;

                // save the content
                tx.Save(out data, TXTextControl.StringStreamType.RichTextFormat);
            }

            return data;
        }
    }
}
